#!/bin/sh
#
# $FreeBSD: ports/mail/spamd/files/obspamd.in,v 1.1 2007/06/06 16:38:53 miwi Exp $
#

# PROVIDE: obspamd
# REQUIRE: NETWORKING SERVERS
# BEFORE:  DAEMON
# KEYWORD: shutdown

#
# Define these spamd_* variables in one of these files:
#       /etc/rc.conf
#       /etc/rc.conf.local
#
# obspamd_enable="YES"	# Run the spamd(8) daemon (YES/NO).
# obspamd_flags=""	# Extra flags for spamd(8) (if enabled).
#
# DO NOT CHANGE THESE DEFAULT VALUES HERE
#
obspamd_enable=${obspamd_enable:-"NO"}
obspamd_flags=${obspamd_flags:-""}

. /etc/rc.subr

name="obspamd"
rcvar=`set_rcvar`

command="/usr/local/libexec/spamd"
start_precmd="obspamd_precmd"
start_postcmd="obspamd_postcmd"
restart_postcmd="obspamd_postcmd"
pidfile="/var/run/spamd.pid"

obspamd_precmd()
{
	_rc=0
	echo "${obspamd_flags}" | grep "\-b" 2>&1 > /dev/null
	if [ $? -eq 1 ]; then
		/sbin/mount -p | grep 'fdescfs.*/dev/fd.*fdescfs.*rw' 2>&1 > /dev/null
		_rc=${?}
		if [ ${_rc} -ne 0 ]; then
			echo "Unable to start spamd in greylisting mode"
			echo ""
			echo "Please mount fdescfs with the following line in /etc/fstab"
			echo ""
			echo "  fdescfs /dev/fd fdescfs rw 0 0"
			echo ""
		fi
		return ${_rc}
	fi
}

obspamd_postcmd()
{
	if [ -x /usr/local/sbin/spamd-setup ]; then
		if [ -r /usr/local/etc/spamd/spamd.conf ]; then
			/usr/local/sbin/spamd-setup &
		fi
	fi
}

load_rc_config $name
run_rc_command "$1"
